# Uses of Class
org.apache.lucene.benchmark.byTask.stats.TaskStats

Packages that use TaskStats
Package
Description
org.apache.lucene.benchmark.byTask.stats
Statistics maintained when running benchmark tasks.
org.apache.lucene.benchmark.byTask.tasks
Extendable benchmark tasks.

- ## Uses of TaskStats in org.apache.lucene.benchmark.byTask.stats

  Methods in org.apache.lucene.benchmark.byTask.stats that return TaskStats
  Modifier and Type
  Method
  Description
  `TaskStats`
  TaskStats.`clone()`
  `TaskStats`
  Points.`getCurrentStats()`
  `TaskStats`
  Points.`markTaskStart(PerfTask task, int round)`
  Mark that a task is starting.
  Methods in org.apache.lucene.benchmark.byTask.stats that return types with arguments of type TaskStats
  Modifier and Type
  Method
  Description
  `List<TaskStats>`
  Points.`taskStats()`
  Return the current task stats.
  Methods in org.apache.lucene.benchmark.byTask.stats with parameters of type TaskStats
  Modifier and Type
  Method
  Description
  `void`
  TaskStats.`add(TaskStats stat2)`
  Add data from another stat, for aggregation
  `void`
  Points.`markTaskEnd(TaskStats stats, int count)`
  mark the end of a task

- ## Uses of TaskStats in org.apache.lucene.benchmark.byTask.tasks

  Methods in org.apache.lucene.benchmark.byTask.tasks with parameters of type TaskStats
  Modifier and Type
  Method
  Description
  `protected String`
  ReportTask.`taskReportLine(String longestOp, TaskStats stat)`
  Compute a report line for the given task stat.
  Method parameters in org.apache.lucene.benchmark.byTask.tasks with type arguments of type TaskStats
  Modifier and Type
  Method
  Description
  `protected Report`
  ReportTask.`genPartialReport(int reported, LinkedHashMap<String,TaskStats> partOfTasks, int totalSize)`
  `protected String`
  ReportTask.`longestOp(Iterable<TaskStats> taskStats)`
  find the longest op name out of completed tasks.
  `protected Report`
  RepAllTask.`reportAll(List<TaskStats> taskStats)`
  Report detailed statistics as a string
  `protected Report`
  RepSelectByPrefTask.`reportSelectByPrefix(List<TaskStats> taskStats)`
  `protected Report`
  RepSumByNameTask.`reportSumByName(List<TaskStats> taskStats)`
  Report statistics as a string, aggregate for tasks named the same.
  `protected Report`
  RepSumByNameRoundTask.`reportSumByNameRound(List<TaskStats> taskStats)`
  Report statistics as a string, aggregate for tasks named the same, and from the same round.
  `protected Report`
  RepSumByPrefTask.`reportSumByPrefix(List<TaskStats> taskStats)`
  `protected Report`
  RepSumByPrefRoundTask.`reportSumByPrefixRound(List<TaskStats> taskStats)`